Bug 993361 - [abrt] qt-creator-2.8.0-1.fc19: FakeVim::Internal::FakeVimHandler::eventFilter: Process /usr/bin/qtcreator was killed by signal 11 (SIGSEGV)
[abrt] qt-creator-2.8.0-1.fc19: FakeVim::Internal::FakeVimHandler::eventFilte...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
abrt_hash:5985a4e971833373b338ca51e26...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 16:30 EDT by valentingushchin@gmail.com
Modified: 2015-02-16 14:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 06:27:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.84 KB, text/plain)
2013-08-05 16:30 EDT, valentingushchin@gmail.com
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details
File: core_backtrace (21.39 KB, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details
File: dso_list (20.12 KB, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details
File: environ (1.89 KB, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details
File: maps (100.03 KB, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details
File: open_fds (594 bytes, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details
File: proc_pid_status (962 bytes, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details
File: var_log_messages (628 bytes, text/plain)
2013-08-05 16:31 EDT, valentingushchin@gmail.com
no flags Details

  None (edit)
Description valentingushchin@gmail.com 2013-08-05 16:30:53 EDT
Version-Release number of selected component:
qt-creator-2.8.0-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/qtcreator
crash_function: FakeVim::Internal::FakeVimHandler::eventFilter
executable:     /usr/bin/qtcreator
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            3000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 FakeVim::Internal::FakeVimHandler::eventFilter at fakevimhandler.cpp:7957
 #1 QCoreApplicationPrivate::sendThroughObjectEventFilters at kernel/qcoreapplication.cpp:1059
 #2 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4558
 #3 QApplication::notify at kernel/qapplication.cpp:4348
 #4 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:949
 #5 sendEvent at ../../src/corelib/kernel/qcoreapplication.h:231
 #6 QWidget::~QWidget at kernel/qwidget.cpp:1699
 #7 QLineEdit::~QLineEdit at widgets/qlineedit.cpp:359
 #8 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1907
 #9 QWidget::~QWidget at kernel/qwidget.cpp:1679
Comment 1 valentingushchin@gmail.com 2013-08-05 16:30:58 EDT
Created attachment 782996 [details]
File: backtrace
Comment 2 valentingushchin@gmail.com 2013-08-05 16:31:01 EDT
Created attachment 782997 [details]
File: cgroup
Comment 3 valentingushchin@gmail.com 2013-08-05 16:31:06 EDT
Created attachment 782998 [details]
File: core_backtrace
Comment 4 valentingushchin@gmail.com 2013-08-05 16:31:10 EDT
Created attachment 782999 [details]
File: dso_list
Comment 5 valentingushchin@gmail.com 2013-08-05 16:31:14 EDT
Created attachment 783000 [details]
File: environ
Comment 6 valentingushchin@gmail.com 2013-08-05 16:31:19 EDT
Created attachment 783001 [details]
File: exploitable
Comment 7 valentingushchin@gmail.com 2013-08-05 16:31:22 EDT
Created attachment 783002 [details]
File: limits
Comment 8 valentingushchin@gmail.com 2013-08-05 16:31:26 EDT
Created attachment 783003 [details]
File: maps
Comment 9 valentingushchin@gmail.com 2013-08-05 16:31:31 EDT
Created attachment 783004 [details]
File: open_fds
Comment 10 valentingushchin@gmail.com 2013-08-05 16:31:34 EDT
Created attachment 783005 [details]
File: proc_pid_status
Comment 11 valentingushchin@gmail.com 2013-08-05 16:31:38 EDT
Created attachment 783006 [details]
File: var_log_messages
Comment 12 Sandro Mani 2013-10-17 18:01:05 EDT
Please test against 2.8.1-1 from updates testing, and if the issue still occurs, consider reporting the bug upstream at [1] and post a link here. Thanks.

[1] https://bugreports.qt-project.org/browse/QTCREATORBUG
Comment 13 Sandro Mani 2013-11-20 06:27:31 EST
Closing due to no reaction from reporter. Please reopen if issue can be reproduced with new version.

Note You need to log in before you can comment on or make changes to this bug.